Package com.trilead.ssh2

## Class HTTPProxyData

- java.lang.Object
- - com.trilead.ssh2.HTTPProxyData

All Implemented Interfaces:
  `ProxyData`

    public class HTTPProxyData
    extends java.lang.Object
    implements ProxyData

A `HTTPProxyData` object is used to specify the needed connection data to connect through a HTTP proxy.

See Also:
  `Connection.setProxyData(ProxyData)`

### Field Summary

Fields
`java.lang.String` `proxyHost`
`java.lang.String` `proxyPass`
`int` `proxyPort`
`java.lang.String` `proxyUser`
`java.lang.String[]` `requestHeaderLines`

### Constructor Summary

Constructors
`HTTPProxyData​(java.lang.String proxyHost, int proxyPort)` Same as calling `HTTPProxyData(proxyHost, proxyPort, `null`, `null`)`
`HTTPProxyData​(java.lang.String proxyHost, int proxyPort, java.lang.String proxyUser, java.lang.String proxyPass)` Same as calling `HTTPProxyData(proxyHost, proxyPort, `null`, `null`, `null`)`
`HTTPProxyData​(java.lang.String proxyHost, int proxyPort, java.lang.String proxyUser, java.lang.String proxyPass, java.lang.String[] requestHeaderLines)` Connection data for a HTTP proxy.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### proxyHost

    public final java.lang.String proxyHost

#### proxyPort

    public final int proxyPort

#### proxyUser

    public final java.lang.String proxyUser

#### proxyPass

    public final java.lang.String proxyPass

#### requestHeaderLines

    public final java.lang.String[] requestHeaderLines

### Constructor Detail

#### HTTPProxyData

    public HTTPProxyData​(java.lang.String proxyHost,
                         int proxyPort)

Same as calling `HTTPProxyData(proxyHost, proxyPort, `null`, `null`)`

Parameters:
  `proxyHost` - Proxy hostname.
  `proxyPort` - Proxy port.

#### HTTPProxyData

    public HTTPProxyData​(java.lang.String proxyHost,
                         int proxyPort,
                         java.lang.String proxyUser,
                         java.lang.String proxyPass)

Same as calling `HTTPProxyData(proxyHost, proxyPort, `null`, `null`, `null`)`

Parameters:
  `proxyHost` - Proxy hostname.
  `proxyPort` - Proxy port.
  `proxyUser` - Username for basic authentication (`null` if no authentication is needed).
  `proxyPass` - Password for basic authentication (`null` if no authentication is needed).

#### HTTPProxyData

    public HTTPProxyData​(java.lang.String proxyHost,
                         int proxyPort,
                         java.lang.String proxyUser,
                         java.lang.String proxyPass,
                         java.lang.String[] requestHeaderLines)

Connection data for a HTTP proxy. It is possible to specify a username and password if the proxy requires basic authentication. Also, additional request header lines can be specified (e.g., "User-Agent: CERN-LineMode/2.15 libwww/2.17b3").

Please note: if you want to use basic authentication, then both `proxyUser` and `proxyPass` must be non-null.

Here is an example:

`new HTTPProxyData("192.168.1.1", "3128", "proxyuser", "secret", new String[] {"User-Agent: TrileadBasedClient/1.0", "X-My-Proxy-Option: something"});`

Parameters:
  `proxyHost` - Proxy hostname.
  `proxyPort` - Proxy port.
  `proxyUser` - Username for basic authentication (`null` if no authentication is needed).
  `proxyPass` - Password for basic authentication (`null` if no authentication is needed).
  `requestHeaderLines` - An array with additional request header lines (without end-of-line markers) that have to be sent to the server. May be `null`.